#include <octave/oct.h>

class oMatrix : public Matrix
{
public:
   oMatrix();
   oMatrix(const Matrix& m);
   oMatrix(int rows, int cols);

   ///Set a value to a given cell
   void Set(int row, int col, double value);

   ///Get a value from a given cell
   double Get(int row, int col);

   ///Fill a matrix callback style
   void Fill(int row1, int col1, int row2, int col2,
             double (*fxn)(int row, int column));

   ///Number of rows in matrix
   int Rows() const;
   
   ///Number of columns in matrix
   int Cols() const;
};

